Unit tsf87c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, SF87C_p;

function tsf87c: String;

implementation

function tsf87c: String;
var
ITMAX,ITER,IERR :Integer;
A,B,C,Z,S :Complex;
begin
Result := '';  {   }
A := Cmplx(1.0,0.0);
B := Cmplx(1.0,0.0);
C := Cmplx(1.0,0.0);
Z := Cmplx(0.5,0.0);
ITMAX := 100;
SF87C(A,B,C,Z,ITMAX,S,ITER,IERR);
Result := Result + Format('%16.7f %16.7f ',[S.re,S.im]) + #$0D#$0A;
Result := Result + Format(' %5d %5d ',[ITER,IERR]) + #$0D#$0A;
UtRes('tsf87c',Result);  {     tsf87c.res }
exit;
end;

end.
